<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>new user</title>
</head>

<body>
    <script>
        function createNewUser() {
            const newUser = {};
            newUser.firstName = prompt('enter user name');
            newUser.lastName = prompt('enter user last name');
            newUser.getLogin = function () {
                return this.firstName[0].toLowerCase() + this.lastName.toLowerCase();
            }
            return newUser;
        }
        console.log(createNewUser().getLogin());
        
    </script>
</body>

</html>